/*
 * Copyright (C) 2009 Nokia Corporation
 * All rights reserved
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as 
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Author(s): Roberto Tola
 *
 * $Id$
 */

#if _MSC_VER > 1000
#pragma once
#endif

#ifndef WINSOCK32_CE
#define WINSOCK32_CE
#include <winsock2.h>
#include <ws2tcpip.h>
#include <MSWSock.h>
#endif
typedef int sa_family_t;

struct sockaddr_un
{
	sa_family_t sin_family;
	char sun_path[128];
};

char *inet_ntop( int af, const void *src, char *dst, size_t size );

#define ENOTSOCK WSAENOTSOCK
#define EADDRINUSE WSAEADDRINUSE
#define EOPNOTSUPP WSAEOPNOTSUPP
#define ENOTCONN WSAENOTCONN
#define ENETUNREACH WSAENETUNREACH
#define ECONNREFUSED WSAECONNREFUSED
#define EISCONN WSAEISCONN
#define EADDRNOTAVAIL WSAEADDRNOTAVAIL
#define EMSGSIZE WSAEMSGSIZE
